%define liboldx %mklibname oldx 6
Name: liboldx
Summary:  The oldX Library
Version: 1.0.1
Release: %mkrel 10
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/liboldX-%{version}.tar.bz2
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1

%description
X.Org X11 liboldX runtime library.

#-----------------------------------------------------------

%package -n %{liboldx}
Summary:  The oldX Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{liboldx}
The oldX Library

%files -n %{liboldx}
%{_libdir}/liboldX.so.6
%{_libdir}/liboldX.so.6.0.0

#-----------------------------------------------------------

%package -n %{liboldx}-devel
Summary: Development files for %{name}
Group: Development/X11
Requires: %{liboldx} = %{version}
Provides: liboldx-devel = %{version}-%{release}
Conflicts: libxorg-x11-devel < 7.0

%description -n %{liboldx}-devel
Development files for %{name}

%files -n %{liboldx}-devel
%{_libdir}/liboldX.so
%{_libdir}/pkgconfig/oldx.pc
%{_includedir}/X11/X10.h

#-----------------------------------------------------------

%package -n %{liboldx}-static-devel
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{liboldx}-devel = %{version}
Provides: liboldx-static-devel = %{version}-%{release}
Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{liboldx}-static-devel
Static development files for %{name}

%files -n %{liboldx}-static-devel
%{_libdir}/liboldX.a

#-----------------------------------------------------------

%prep
%setup -q -n liboldX-%{version}

%build
%configure2_5x
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la


%changelog

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.0.1-10.mga3
+ Revision: 397138
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-9.mga3
+ Revision: 357923
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 fwang <fwang> 1.0.1-8.mga3
+ Revision: 274950
- drop .la file

* Wed Jan 12 2011 dmorgan <dmorgan> 1.0.1-8.mga1
+ Revision: 6596
- imported package liboldx

